Bug 1276625 - Review Request: geronimo-jcache - Apache Geronimo JCache Spec 1.0
Review Request: geronimo-jcache - Apache Geronimo JCache Spec 1.0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roman Mohr
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1276555 1276629
  Show dependency treegraph
 
Reported: 2015-10-30 06:30 EDT by gil cattaneo
Modified: 2015-12-14 05:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-14 05:22:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
roman: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2015-10-30 06:30:06 EDT
Spec URL: https://gil.fedorapeople.org/geronimo-jcache.spec
SRPM URL: https://gil.fedorapeople.org/geronimo-jcache-1.0-0.1.alpha.1.fc22.src.rpm
Description: Apache Geronimo implementation of the JSR-107
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11638600
Comment 1 Roman Mohr 2015-12-03 07:04:25 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)". Detailed output of licensecheck in
     /home/rmohr/rpmbuild/1276625-geronimo-jcache/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     geronimo-jcache-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: geronimo-jcache-1.0-0.1.alpha.1.fc24.noarch.rpm
          geronimo-jcache-javadoc-1.0-0.1.alpha.1.fc24.noarch.rpm
          geronimo-jcache-1.0-0.1.alpha.1.fc24.src.rpm
geronimo-jcache.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
geronimo-jcache.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
geronimo-jcache-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

geronimo-jcache (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils



Provides
--------
geronimo-jcache-javadoc:
    geronimo-jcache-javadoc

geronimo-jcache:
    geronimo-jcache
    mvn(org.apache.geronimo.specs:geronimo-jcache_1.0_spec)
    mvn(org.apache.geronimo.specs:geronimo-jcache_1.0_spec:pom:)
    osgi(org.apache.geronimo.specs.geronimo-jcache_1.0_spec)



Source checksums
----------------
http://repo2.maven.org/maven2/org/apache/geronimo/specs/geronimo-jcache_1.0_spec/1.0-alpha-1/geronimo-jcache_1.0_spec-1.0-alpha-1-source-release.zip :
  CHECKSUM(SHA256) this package     : c9adf7f4f783db64df9b34901786d47a6994a8efe8f76f5533bf73a51795f69c
  CHECKSUM(SHA256) upstream package : c9adf7f4f783db64df9b34901786d47a6994a8efe8f76f5533bf73a51795f69c


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1276625
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Roman Mohr 2015-12-03 07:06:39 EST
> [x]: Spec file is legible and written in American English.

You could change

> %description
> Apache Geronimo implementation of the JSR-107.

to

> %description
> Apache Geronimo implementation of JSR-107.

but that is just cosmetic.
Comment 3 Roman Mohr 2015-12-03 07:06:59 EST
Approved
Comment 4 gil cattaneo 2015-12-03 07:53:41 EST
(In reply to Roman Mohr from comment #2)
> > [x]: Spec file is legible and written in American English.
> 
> You could change
> 
> > %description
> > Apache Geronimo implementation of the JSR-107.
> 
> to
> 
> > %description
> > Apache Geronimo implementation of JSR-107.
> 
> but that is just cosmetic.

Done.

Spec URL: https://gil.fedorapeople.org/geronimo-jcache.spec
SRPM URL: https://gil.fedorapeople.org/geronimo-jcache-1.0-0.1.alpha.1.fc22.src.rpm

Thanks for the review!

Request for new package:
https://admin.fedoraproject.org/pkgdb/package/requests/2069
https://admin.fedoraproject.org/pkgdb/package/requests/2070
Comment 5 Gwyn Ciesla 2015-12-04 09:16:45 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/geronimo-jcache
Comment 6 Fedora Update System 2015-12-04 10:00:01 EST
geronimo-jcache-1.0-0.1.alpha.1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0ad87f889c
Comment 7 Fedora Update System 2015-12-06 12:21:25 EST
geronimo-jcache-1.0-0.1.alpha.1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update geronimo-jcache'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0ad87f889c
Comment 8 Fedora Update System 2015-12-14 05:22:16 EST
geronimo-jcache-1.0-0.1.alpha.1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.